﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;

namespace ListViewSearch
{
    /// <summary>
    /// Interaction logic for DemoWindow.xaml
    /// </summary>
    public partial class DemoWindow : Window
    {
        public DemoWindow()
        {
            InitializeComponent();
        }

        #region Event Handlers

        private void OnViewFilter(object sender, FilterEventArgs e)
        {
            if (!string.IsNullOrEmpty(txtFilter.Text))
            {
                e.Accepted = (e.Item as string).Contains(txtFilter.Text);
            }
        }

        private void OnFilterChanged(object sender, TextChangedEventArgs e)
        {
            (FindResource("ViewSource") as CollectionViewSource).View.Refresh();
        }

        #endregion
    }
}
